<?php

if (core::ifPost("from") AND core::getPost("from") == "rh-temp-to-mysql") {

    // Backup
    (backup::create()) ? alert::recSuccess("Backup des données OK") : alert::recError("Backup des données KO");
    
    $json = salaries::createRapport();
    salaries::updateJsonExcel($json);
    json::create("excel");
    
    alert::recSuccess(salaries::getExcelName(core::getPost("excel")) . " a bien été importé");
    
    salaries::updateSalaries(core::getPost("excel"));
    salaries::cleanTmp();
    json::create("salaries");
    salaries::excelUpdateInProgress(core::getPost("excel"), 0);

    (file::cleanFilesByOrder(DIR_BACKUP)) ? alert::recSuccess("Clean backup des données OK") : alert::recError("Clean backup des données KO");

    historique::recRef("/?p=rh-import-to-temp");
    historique::add(array(
        "idType" => historique::getIdRef("ACTION"),
        "idUser" => session::getId(),
        "idPage" => historique::getIdRef("/?p=rh-import-to-temp"),
        "log" => "Passage de la base salariés tampon à la table des salariés"
    ));
    historique::recordAlert("SUCCESS");

    header("Location: /rh-historique-excel.html");
    exit();
} else {
    header('HTTP/1.0 401 Unauthorized');
    exit();
}

